<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::SectionEndInfo Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1SectionEndInfo.html">SectionEndInfo</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1SectionEndInfo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::SectionEndInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::SectionEndInfo:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1SectionEndInfo__coll__graph.png" border="0" usemap="#Catch_1_1SectionEndInfo_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1SectionEndInfo_coll__map" id="Catch_1_1SectionEndInfo_coll__map">
<area shape="rect" title=" " alt="" coords="79,184,243,211"/>
<area shape="rect" href="structCatch_1_1SectionInfo.html" title=" " alt="" coords="17,95,157,121"/>
<area shape="rect" href="structCatch_1_1SourceLineInfo.html" title=" " alt="" coords="5,5,168,32"/>
<area shape="rect" href="structCatch_1_1Counts.html" title=" " alt="" coords="181,95,293,121"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2d44793392cb83735d086d726822abe9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SectionEndInfo.html#a2d44793392cb83735d086d726822abe9">sectionInfo</a></td></tr>
<tr class="separator:a2d44793392cb83735d086d726822abe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae70b154cbc05b5dd2901d97f89303d8c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Counts.html">Counts</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SectionEndInfo.html#ae70b154cbc05b5dd2901d97f89303d8c">prevAssertions</a></td></tr>
<tr class="separator:ae70b154cbc05b5dd2901d97f89303d8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c262f2dab9cff166b8eca620c47eea5"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1SectionEndInfo.html#a7c262f2dab9cff166b8eca620c47eea5">durationInSeconds</a></td></tr>
<tr class="separator:a7c262f2dab9cff166b8eca620c47eea5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7c262f2dab9cff166b8eca620c47eea5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c262f2dab9cff166b8eca620c47eea5">&#9670;&nbsp;</a></span>durationInSeconds</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double Catch::SectionEndInfo::durationInSeconds</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae70b154cbc05b5dd2901d97f89303d8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae70b154cbc05b5dd2901d97f89303d8c">&#9670;&nbsp;</a></span>prevAssertions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Counts.html">Counts</a> Catch::SectionEndInfo::prevAssertions</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d44793392cb83735d086d726822abe9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d44793392cb83735d086d726822abe9">&#9670;&nbsp;</a></span>sectionInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a> Catch::SectionEndInfo::sectionInfo</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
